Skip Menu |
 

This queue is for tickets about the Module-Signature CPAN distribution.

Report information
The Basics
Id: 16908
Status: stalled
Priority: 0/
Queue: Module-Signature

People
Owner: Nobody in particular
Requestors: jdhedden [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.51
Fixed in: (no value)



Subject: 'perl Makefile.PL' can't find Perl !?!
Download (untitled) / with headers
text/plain 3.6k
'perl Makefile.PL' fails because it can't find Perl !?! However, Perl is available: Show quoted text
> ls -l /usr/bin/perl.exe
-rwxr-xr-x 1 jhedden Domain Users 33280 Jan 4 08:26 /usr/bin/perl.exe* Show quoted text
> perl Makefile.PL
*** Looking for GnuPG (GNU Privacy Guard, a cryptographic signature tool)... GnuPG found (/usr/bin/gpg). Import PAUSE and author keys to GnuPG? [y] Importing... done. *** Module::AutoInstall version 1.00 *** Checking for dependencies... [Core Features] - Test::More ...loaded. (0.62) [Sign and verify PAR (Perl Archive) files] - PAR::Dist ...loaded. (0.07) *** Module::AutoInstall configuration finished. Unable to find a perl 5 (by these names: /usr/bin/perl.exe perl.exe perl5.exe perl5.8.7.exe miniperl.exe, in these dirs: /home/jhedden/bin /usr/local/bin /usr/bin /bin /usr/X11R6/bin /c/MinGW/bin /c/Perl/bin/ /c/djgpp/bin /c/Program Files/WiX /c/Program Files/nant-0.85-rc3/bin /c/Program Files/apache-ant-1.6.3/bin /c/j2sdk1.4.2_08/bin /c/Program Files/Documentum/Shared /c/blp/API /c/oracle/ora92/bin /c/Program Files/Oracle/jre/1.3.1/bin /c/Program Files/Oracle/jre/1.1.8/bin /c/WINNT/system32 /c/WINNT /c/WINNT/system32/WBEM /c/Program Files/cvsnt /usr/local/lib . /usr/bin) Writing Makefile for Module::Signature Now, please enter 'make test' to test, and 'make install' to install. My config: Summary of my perl5 (revision 5 version 8 subversion 7) configuration: Platform: osname=cygwin, osvers=1.5.18(0.13242), archname=cygwin-thread-multi-64int uname='cygwin_nt-5.0 pn100-01-1-123s 1.5.18(0.13242) 2005-07-02 20:30 i686 unknown unknown cygwin ' config_args='-de -Duse64bitint -Dusethreads -Uusemymalloc -A define:optimize=-O3 -pipe -frename-registers -fomit-frame-pointer -march=pentium4 -mfpmath=sse -mmmx -msse -msse2 -A define:ld=/usr/bin/ld2' hint=recommended, useposix=true, d_sigaction=define usethreads=define use5005threads=undef useithreads=define usemultiplicity=define useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=define use64bitall=undef uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe -Wdeclaration-after-statement', optimize='-O3 -pipe -frename-registers -fomit-frame-pointer -march=pentium4 -mfpmath=sse -mmmx -msse -msse2', cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -pipe -Wdeclaration-after-statement' ccversion='', gccversion='3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='/usr/bin/ld2', ldflags =' -s -L/usr/local/lib' libpth=/usr/local/lib /usr/lib /lib libs=-lgdbm -ldb -lcrypt -lgdbm_compat perllibs=-lcrypt -lgdbm_compat libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a gnulibc_version='' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s' cccdlflags=' ', lddlflags=' -s -L/usr/local/lib' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_IMPLICIT_CONTEXT PERL_USE_SAFE_PUTENV USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_REENTRANT_API Locally applied patches: MAINT25817 26628 Built under cygwin Compiled at Jan 4 2006 07:54:36 %ENV: PERLIO="perlio" CYGWIN="server ntsec forkchunk:32768" @INC: /usr/lib/perl5/5.8/cygwin /usr/lib/perl5/5.8 .
Download (untitled) / with headers
text/plain 188b
This seems to be a problem with old versions of Module::Install. The latest version of Module::Signature on cpan uses a rather recent Module::Install. Can you still reproduce it with that?


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.